Page MenuHomePhabricator

Global rename of Green Cardamom → GreenC: supervision needed
Closed, ResolvedPublic

Description

The main account has > 50k edits; (77000). See the request here. The request is accepted so we would appreciate if you could reserve for us a window so this rename can be performed and simultaneously supervised. Thanks.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 24 2017, 10:05 PM
Marostegui triaged this task as Normal priority.Jun 26 2017, 5:32 AM
Marostegui moved this task from Triage to Blocked external/Not db team on the DBA board.

Looks like most of the edits are on enwiki as per: https://meta.wikimedia.org/wiki/Special:CentralAuth/Green_Cardamom
Please ping me before you want to run the rename, so I can keep an eye on the databases

@alanajjar I guess it would make more sense to ping him at IRC, so if there is a problem, you can communicate much faster.

@Marostegui can we start now?

Sorry - I was not online at the time, as I am based in Europe.
Where are you based? Maybe we can arrange a time/day in advance.
I am usually around from: 05:00 UTC to 16:00 UTC

alanajjar added a comment.EditedJun 27 2017, 5:01 AM

@Marostegui Don't mind, I'm based in Africa, Egypt (until 10 June).

Aha yes, I think we should arrange a time or day!

I think it's now 05.00 UTC, so can we start to close this task?

@Marostegui Don't mind, I'm based in Africa, Egypt (until 10 June).
Aha yes, I think we should arrange a time or day!
I think it's now 05.00 UTC, so can we start to close this task?

Yes! Go ahead, can you please paste the progress URL too? So I can monitor how it goes and how much is left?

@alanajjar I guess it would make more sense to ping him at IRC, so if there is a problem, you can communicate much faster.

Thanks for advice, I'll consider it in the next time :)
If you can give me the link of Phabricator IRC?

@Marostegui Don't mind, I'm based in Africa, Egypt (until 10 June).
Aha yes, I think we should arrange a time or day!
I think it's now 05.00 UTC, so can we start to close this task?

Yes! Go ahead, can you please paste the progress URL too? So I can monitor how it goes and how much is left?

We start!
https://meta.wikimedia.org/wiki/Special:GlobalRenameProgress/GreenC

@alanajjar I guess it would make more sense to ping him at IRC, so if there is a problem, you can communicate much faster.

Thanks for advice, I'll consider it in the next time :)
If you can give me the link of Phabricator IRC?

As long as you keep this updated with your steps, that should also be fine.
We are on freenode, channel: #wikimedia-operations

But if you want to start now, please do so. Just write here when you start, send the meta url with the rename progress so I can follow it, and write again once you are done :-)

Thanks!

@Marostegui Don't mind, I'm based in Africa, Egypt (until 10 June).
Aha yes, I think we should arrange a time or day!
I think it's now 05.00 UTC, so can we start to close this task?

Yes! Go ahead, can you please paste the progress URL too? So I can monitor how it goes and how much is left?

We start!
https://meta.wikimedia.org/wiki/Special:GlobalRenameProgress/GreenC

Excellent - thanks!

Mentioned in SAL (#wikimedia-operations) [2017-06-27T05:08:27Z] <marostegui> Global rename of Green Cardamom → GreenC - T168776

Great! Thanks for your cooperation! :-)

alanajjar closed this task as Resolved.Jun 27 2017, 6:20 AM